> For the complete documentation index, see [llms.txt](https://docs.nftembed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftembed.org/custom-styling/code-examples/full-code-with-comments.md).

# Full Code with Comments

Below you'll find a breakdown of a handful of lines of code that get used when making the NFT embed look so beautiful! Of course, the code explained below is a mere fraction of what goes on behind the scenes. These powerful lines empower our users to host NFTs how and when they want.

{% code title="custom css for nft embed" %}

```javascript
{
  "general": {
    "color": "black",
    "background": "linear-gradient(170deg, #bceb00 15.57%, #00eaea 84.88%)", // the linear color change in the background of the embed
    "borderRadius": "20px",
    "height": "100%"
  },
  "metadata": { // metadata properties box = MPB
    "backgroundColor": "black", // the color of the MPB
    "fontSize": "12px", // the size of the font in the MPB
    "color": "white", // the secondary font for the MPB
    "margin": "0.2rem", // space around MPB borders
    "padding": "0.3rem", // space between MPB content and borders
    "textAlign": "center", // the font location inside the MPB
    "border": "1px solid white", // the border around the MPB
    "borderRadius": "10px" // the radius of the box corners around the MPB

  "asset": {
    "borderRadius": "10px", // the radius of the box corners of the NFT
    "padding":"10px", // space between NFT content and embed borders
    "border": "10px solid pink" // border around NFT
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftembed.org/custom-styling/code-examples/full-code-with-comments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
